RTEMS: Time of Day Handler Action Hooks

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Typedefs | Enumerations | Functions | Variables
Time of Day Handler Action Hooks
Internal » SuperCore » Time of Day Handler

Time of Day Handler Action Hooks. More...

## Files
file | coretodhookdata.c
| TOD Hook Set.
file | coretodhookregister.c
| Register Hook to be in TOD Hook Set.
file | coretodhookrun.c
| Run TOD Hook Set.
file | coretodhookunregister.c
| Remove Hook from TOD Hook Set.

## Data Structures
struct | TOD_Hook
| Structure to manage each TOD action hook. More...

## Typedefs
typedef struct TOD_Hook | TOD_Hook
| Structure to manage each TOD action hook.

## Enumerations
enum | TOD_Action { TOD_ACTION_SET_CLOCK }
| Possible actions where a registered hook could be invoked. More...

## Functions
void | _TOD_Hook_Register (TOD_Hook *hook)
| Add a TOD Action Hook.
void | _TOD_Hook_Unregister (TOD_Hook *hook)
| Remove a TOD Action Hook.
Status_Control | _TOD_Hook_Run (TOD_Action action, const struct timespec *tod)
| Run the TOD Action Hooks.

## Variables
Chain_Control | _TOD_Hooks
| Set of registered methods for TOD Actions.

## Detailed Description

Time of Day Handler Action Hooks.

The following support registering a hook which is invoked when the TOD is set. These can be used by a paravirtualized BSP to mirror time changes to the hosting environment or a regular BSP to program a real-time clock when the RTEMS TOD is set.

## Enumeration Type Documentation

## ◆ TOD_Action

enum TOD_Action

Possible actions where a registered hook could be invoked.

Enumerator
TOD_ACTION_SET_CLOCK | Constant to indicate the TOD is being set.

## Function Documentation

## ◆ _TOD_Hook_Register()

void _TOD_Hook_Register | ( | TOD_Hook * | hook | ) |

Add a TOD Action Hook.

This method is used to add a hook to the TOD action set.

hook is the action hook to register.

## ◆ _TOD_Hook_Run()

Status_Control _TOD_Hook_Run | ( | TOD_Action | action,
|  | const struct timespec * | tod
| ) |  |

Run the TOD Action Hooks.

This method is used to invoke the set of TOD action hooks.

action The action which triggered this run.

tod The current time of day.

Return values

  STATUS_SUCCESSFUL | Successful operation.
  other | Some error occurred.

## ◆ _TOD_Hook_Unregister()

void _TOD_Hook_Unregister | ( | TOD_Hook * | hook | ) |

Remove a TOD Action Hook.

This method is used to remove a hook from the TOD action set.

hook is the action hook to unregister.